std::future_error(3cxx)

NAME
std::future_error - Exception type thrown by futures.

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions

future_error (future_errc __errc)
const error_code & code () const noexcept
virtual const char * what () const noexcept

  Friends

void __throw_future_error (int)

Detailed Description

Exception type thrown by futures.

Definition at line 96 of file future.

Member Function Documentation

  virtual const char* std::future_error::what () const [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::logic_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.